
;------------------------------------------------------------------------------
;ERROR HANDLER
;
(DEFUN ADERR (S)
     (IF (/= S "FUNCTION CANCELLED")         ;IF ERROR  IS NOT [CTRL-C]
         (PRINC (STRCAT "\n ERROR: " S))     ;PRINT THE ERROR, ELSE
         (PRINC "\n FUNCTION CANCELLED ")    ;PRINT FUNCTION CANCELLED
     )                                       ;ENDS IF
     (COMMAND "LAYER" "S" CLAYR "")          ;RESETS LAYER
     (COMMAND "STYLE" A "" "" "" "" "" "" "");RESETS STYLE
)
;------------------------------------------------------------------------------
;MAIN PROGRAM
;
(defun c:ad(); (/ A B C D E F G H)
   (GRAPHSCR)                                ;SETS GRAPHIC SCREEN
   (SETQ OLDERR *ERROR* *ERROR* ADERR)       ;SETS ERROR HANDLER ROUTINE
   (setvar "menuecho" 1)(terpri)             ;TURNS ON MENU ECHO
   (setvar "cmdecho" 0)(terpri)              ;TURNS COMMMAND ECHO OFF
   (setq A(getvar "textstyle"))              ;GETS CURRENT TEXT STYLE
   (setq B(getvar "clayer"))                 ;GETS CURRENT LAYER
   (setq C(entget (car(entsel "\nPICK LAST LINE OF TEXT : "))));GETS TEXT
     (setq D(cdr (assoc 10 C)))              ;GETS TEXT STARTING POINT
     (setq E(cdr (assoc 7 C)))               ;GETS TEXT STYLE
     (setq F(cdr (assoc 8 C)))               ;GETS TEXT LAYER
     (setq G(cdr (assoc 50 C)))              ;GETS TEXT
     (setq H(/ (* G 180.0)pi))               ;GETS TEXT ROTATION ANGLE
   (command "layer" "s" F "")                ;SETS TEXT LAYER
   (command "style" E "" "" "" "" "" "" "")  ;SETS TEXT STYLE
   (prompt "\nNew text :  ")
   (command "text" D H "")                   ;INITIATE TEXT AT LAST LINE
   (command "dtext" "")                      ;ENTER NEW TEXT ONE LINE DOWN
   (command "layer" "s" B "")                ;RESETS LAYER
   (command "style" A "" "" "" "" "" "" "")  ;RESETS TEXT STYLE
   (command "text" D "" ".")                 ;ADDS DUMMY LINE
   (command "erase" "l" "")                  ;DELETES DUMMY LINE
(princ)                                      ;CLEAN PROGRAM TERMINATION
)                                            ;ENDS DEFUN AD
;------------------------------------------------------------------------------
;ENDS PROGRAM
